|  | unicode.h File Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
unicode.h File Reference

Get Unicode character class ranges and UTF-8 regex translations. More...

`#include <reflex/posix.h>`
Include dependency graph for unicode.h:

## Classes

class | reflex::Unicode::Tables

## Namespaces

| reflex
| reflex::Unicode

## Functions

const int * | reflex::Unicode::range (const char *)
| Return table entry pointer to [lo,hi] range of characters for the given Unicode class name, or return NULL. More...
int | reflex::Unicode::compose (int, int)
| Normalize Unicode by composition of prev and next characters into one, or return -1. More...
int | reflex::Unicode::toupper (int c)
| Unicode translations between lower case and upper case letters. More...
int | reflex::Unicode::tolower (int c)
int | reflex::Unicode::invcase (int c)

## Detailed Description

Get Unicode character class ranges and UTF-8 regex translations.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2025, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt